# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=engine
TARGET=engine.tif
PROJECT_FILE=/mnt/media/pictures/2008/2008-05-29/engine.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/2008-05-29/img_3268.jpg /mnt/media/pictures/2008/2008-05-29/img_3269.jpg /mnt/media/pictures/2008/2008-05-29/img_3270.jpg /mnt/media/pictures/2008/2008-05-29/img_3271.jpg /mnt/media/pictures/2008/2008-05-29/img_3272.jpg /mnt/media/pictures/2008/2008-05-29/img_3273.jpg 

# remapped images
REMAPPED_IMAGES=engine0000.tif engine0001.tif engine0002.tif engine0003.tif engine0004.tif engine0005.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -f5295x6809


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


